# Welcome to atom’s documentation!

Atom is a framework for creating memory efficient Python objects with enhanced features such as dynamic initialization, validation, and change notification for object attributes. It provides the default model binding behaviour for the Enaml UI framework.

- Getting started
  - Installation
  - Anatomy
  - Members
  - Observation and notifications
  - Basic customization
  - Using type annotations
- Advanced Features
  - The Property Member
  - Atom and weak references
  - Atom's containers
  - Advanced members customisation
  - Manual notifications
  - Static type checking explained
- Examples
  - Tutorial Examples
  - API Examples
- Developer notes
  - Python codebase
  - Python C++ bindings
- API Documentation
  - Subpackages
  - Submodules

# Indices and tables

- Index

- Module Index

- Search Page